javax.batch.api.chunk

## Class AbstractCheckpointAlgorithm

- java.lang.Object
- - javax.batch.api.chunk.AbstractCheckpointAlgorithm

- All Implemented Interfaces:
    CheckpointAlgorithm

      public abstract class AbstractCheckpointAlgorithm
      extends Object
      implements CheckpointAlgorithm

  The AbstractCheckpointAlgorithm provides default implementations of less commonly implemented methods.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractCheckpointAlgorithm()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `beginCheckpoint()` Override this method for the CheckpointAlgorithm to do something before a checkpoint begins.
    `int` | `checkpointTimeout()` Override this method if the CheckpointAlgorithm establishes a checkpoint timeout.
    `void` | `endCheckpoint()` Override this method for the CheckpointAlgorithm to do something after a checkpoint ends.
    `abstract boolean` | `isReadyToCheckpoint()` Implement logic in this method to decide if a checkpoint should be taken now.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractCheckpointAlgorithm

          public AbstractCheckpointAlgorithm()

  - ### Method Detail

    - #### checkpointTimeout

          public int checkpointTimeout()
                                throws Exception

      Override this method if the CheckpointAlgorithm establishes a checkpoint timeout. The default implementation returns 0, which means maximum permissible timeout allowed by runtime environment.
      Specified by:
        `checkpointTimeout` in interface `CheckpointAlgorithm`
      Returns:
        the timeout interval to use for the next checkpoint interval
      Throws:
        `Exception` - (or subclass) if an error occurs.

    - #### beginCheckpoint

          public void beginCheckpoint()
                               throws Exception

      Override this method for the CheckpointAlgorithm to do something before a checkpoint begins. The default implementation does nothing.
      Specified by:
        `beginCheckpoint` in interface `CheckpointAlgorithm`
      Throws:
        `Exception` - (or subclass) if an error occurs.

    - #### isReadyToCheckpoint

          public abstract boolean isReadyToCheckpoint()
                                               throws Exception

      Implement logic in this method to decide if a checkpoint should be taken now.
      Specified by:
        `isReadyToCheckpoint` in interface `CheckpointAlgorithm`
      Returns:
        boolean indicating whether or not to checkpoint now.
      Throws:
        `Exception` - (or subclass) if an error occurs.

    - #### endCheckpoint

          public void endCheckpoint()
                             throws Exception

      Override this method for the CheckpointAlgorithm to do something after a checkpoint ends. The default implementation does nothing.
      Specified by:
        `endCheckpoint` in interface `CheckpointAlgorithm`
      Throws:
        `Exception` - (or subclass) if an error occurs.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.